Subject: Re: Feedback needed on proposed cygwin feature
From: [email-masked] (Earnie Boyd)

1 Dec 1997 09:23:10 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Sounds like a great idea.

>From: [email-masked] (Chris Faylor)
>Subject: Feedback needed on proposed cygwin feature
>Date: Mon, 1 Dec 1997 04:12:00 GMT
>To: [email-masked]
>Reply-To: [email-masked]
>

[snip]

>
>Which leads into another source of discussion.  I would prefer 
something
>like this for setting these options:
>
>	set CYGWIN32=binmode notitle tty

Less environment clutter.  Nice idea.

>
>rather than:
>
>	set CYGWIN_BINMODE=1
>	set CYGWIN_TTY=1
>	set CYGWIN_NOTITLE=1
>
>My current patch allows both uses but it would probably better to stick
>with one.
>
>Here are the pros and cons as we see them so far:
>
>1) Registry
>
>    Pros:
>
>	a)  Don't need to mess with system environment variables.
>
>	b)  Allows pinpoint control of what program gets what options, e.g.
>	    setting `tty' on for bash means that bash always starts with
>	    a true /dev/tty.  Other programs run from the command line will
>	    not also use tty handling as seen when using the CYGWIN_TTY
>	    environment variable.
>
>	c)  "Solves" the problem of programs, ported from UNIX, which need
>	    to use `binmode' by default.
>

text=binary on by default would be a definite benefit.

>    Cons:
>
>	a)  May slow down process startup slightly (I haven't noticed this
>	    in simple tests, though).
>
>	b)  Contributes to creeping featuritis.
>
>	c)  The BINMODE option is nice, but may delay true port of a
>	    product in favor of a "SET CYGWIN_BINMODE" band-aid.

I see nothing wrong with "What ain't broke don't fix" attitudes.

>
>2) CYGWIN32
>
>    Pros:
>
>	a)  Minimizes environment variable name space pollution.
>

This one gets my vote!

>	b)  Mirrors proposed registry options syntax.
>
>	c)  More intuitive?

Less hassle.

>
>    Cons:
>
>	a)  May be harder to test for in shell scripts.
>

To aid in testing a switch or environment variable could be added to 
turn on debug mode to display the values of the registry variables on 
stderr.  Or, a standalone program to list and modify registry elements 
by a given key?

>	b)  Less intuitive?

Only for those that aren't intuitive.

>
>I'd appreciate any and all feedback on this.  Please send comments to 
the list
>in general.
>
>Thanks.
>-- 
>http://www.bbc.com/	[email-masked]			"Strange how unreal
>VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".